FreshPorts -- The Place For Ports If you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

I am looking for an LTO tape library. Do you have one to spare?
Port details
puppet26 2.6.18_1 sysutils Deleted on this many watch lists=0 search for ports that depend on this port This port version is marked as vulnerable.
Deprecated DEPRECATED: End of Life from april 2013. Upgrade to 2.7 or 3.x.
Expired This port expired on: 2013-10-01
A configuration management framework written in Ruby
Was Maintained by: anders@FreeBSD.org search for ports maintained by this maintainer
Port Added: 06 Oct 2012 21:45:33
License: not specified in port


Puppet lets you centrally manage every important aspect of your system using
a cross-platform specification language that manages all the separate
elements normally aggregated in different files, like users, cron jobs, and
hosts, along with obviously discrete elements like packages, services, and
files.

WWW:	http://www.puppetlabs.com
SVNWeb : Main Web Site : Distfiles Availability : PortsMon

NOTE: FreshPorts displays only required dependencies information. Optional dependencies are not covered.

Required To Build:
  1. lang/ruby19
Required To Run:
  1. sysutils/rubygem-facter
  2. textproc/rubygem-augeas
  3. converters/ruby-iconv
  4. lang/ruby19
  5. archivers/ruby-bz2
There are no ports dependent upon this port

No installation instructions: this port has been deleted.

The package name of this deleted port was: puppet26


Configuration Options
===> The following configuration options are available for puppet-2.6.18_1:
     DOCS=on: Build and/or install documentation
     EXAMPLES=on: Build and/or install examples
     MONGREL=off: Run puppet server as a mongrel service
     PACKAGE_ORIGIN=on: Use port origin as package name
===> Use 'make config' to modify these settings

Master Sites:
  1. ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/
  2. http://downloads.puppetlabs.com/puppet/
Port Moves
  • port moved to sysutils/puppet27 on 2013-10-01
    REASON: Has expired: End of Life from april 2013. Upgrade to 2.7 or 3.x

Number of commits found: 8

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
01 Oct 2013 16:13:32
Original commit files touched by this commit  2.6.18_1
Revision:328961 This port version is marked as vulnerable.
tabthorpe search for other commits by this committer
2013-10-01 archivers/ruby-bz2: Does not work with Ruby 1.9
2013-10-01 sysutils/puppet26: End of Life from april 2013. Upgrade to 2.7 or
3.x.
2013-10-01 www/varnish2: No update since january 2011. Upgrade to Varnish 3.
20 Sep 2013 23:06:00
Original commit files touched by this commit  2.6.18_1
Revision:327772 This port version is marked as vulnerable.
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
sysutils)
04 Sep 2013 20:39:58
Original commit files touched by this commit  2.6.18_1
Revision:326320 This port version is marked as vulnerable.
anders search for other commits by this committer
Deprecate this port, as 2.6 is EOL.
17 Mar 2013 20:14:31
Original commit files touched by this commit  2.6.18_1
Revision:314483 This port version is marked as vulnerable.
zi search for other commits by this committer
- Rename sysutils/facter to sysutils/rubygem-facter
- Update sysutils/rubygem-facter to 1.6.18
- Convert sysutils/rubygem-facter to utilize rubygem framework
- Update to new 'created by' header
- Add RG as additional MASTER_SITES for sysutils/rubygem-facter
- Update sysutils/puppet* RUN_DEPENDS due to rename of facter
- Bump PORTREVISION on sysutils/puppet* due to rename of facter

Approved by:	Rouslan Iskhakov <rouslan@rshell.net> (maintainer)
15 Mar 2013 02:39:32
Original commit files touched by this commit  2.6.18
Revision:314234 This port version is marked as vulnerable.
swills search for other commits by this committer
- Update to 2.6.18

Approved by:	portmgr (miwi)
Security:	cda566a0-2df0-4eb0-b70e-ed7a6fb0ab3c
15 Oct 2012 00:55:06
Original commit files touched by this commit  2.6.17
Revision:305899 This port version is marked as vulnerable.
anders search for other commits by this committer
Trim headers.
OptionsNG.
Add LATEST_LINK, update CONFLICTS.

PR:		ports/172695
Submitted by:	swills
Feature safe:	yes
06 Oct 2012 21:53:41
Original commit files touched by this commit  2.6.17
Revision:305408 This port version is marked as vulnerable.
anders search for other commits by this committer
Update to 2.6.17.
Remove rest of cvs2svn:cvs-rev property.
06 Oct 2012 21:45:14
Original commit files touched by this commit  2.6.7
Revision:305406 This port version is marked as vulnerable.
anders search for other commits by this committer
Resurrect Puppet 2.6, useful for those who have a Puppet master running
2.6.

Approved by:	swills (current sysutils/puppet maintainer)

Number of commits found: 8

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
chromiumAug 26
fileAug 21
py-djangoAug 21
py-django-develAug 21
py-django14Aug 21
py-django15Aug 21
php53Aug 18
phpmyadminAug 17
chromiumAug 13
serfAug 11
subversionAug 11
subversion17Aug 11
nginxAug 09
nginx-develAug 09
mingw32-opensslAug 06

6 vulnerabilities affecting 9 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds


Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 24501
Broken 218
Deprecated 689
Ignore 542
Forbidden 17
Restricted 242
No CDROM 101
Vulnerable 23
Expired 601
Set to expire 678
Interactive 0
new 24 hours 4
new 48 hours13
new 7 days46
new fortnight100
new month264

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2014 Dan Langille. All rights reserved.